LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Programming (http://www.linuxquestions.org/questions/programming-9/)
-   -   How downwards compatible is JRE? (http://www.linuxquestions.org/questions/programming-9/how-downwards-compatible-is-jre-807600/)

Thor_2.0 05-13-2010 10:57 AM

How downwards compatible is JRE?
 
Hi,

I noticed there's a new JRE in town, the upgrade 20, I still use the 13. What will the up to 20 do for the software I write? I use openJDK (came with the Fedora I use) to write software, and the JRE to use it in the browser, I needed to see the Java console, hence the need for the Sun JRE...

So: bottomline: if I upgrade to the new JRE - use the alternatives configurator to use that in the browser, will the software written in the current JDK (1.6) still work? Or: is Java downward compatible?

Tnx for an answer!

Thor

PS : I dont use anything fancy, just RMI, mySQL connectivity and a bit of Swing...

AlucardZero 05-13-2010 11:38 AM

Those updates are security fixes, mainly, not major version changes. It's still Java 6.


All times are GMT -5. The time now is 08:53 AM.